Subject: Re: [NSIS] framework: proposal on bundling

From: "Georgios Karagiannis" <[email-masked]>
Date: Thu, 5 Jun 2003 17:57:46 +0200

Hi Robert

I think that I have missed the following e-mail, regarding bundling.
What you are actually saying here is that bundling at the NTLP layer should
be possible, but it is not mandatory.
If yes then I agree!

Best Regards,
Georgios

----- Original Message -----
From: "Hancock, Robert" <[email-masked]>
To: <[email-masked]>
Sent: Friday, May 23, 2003 12:01 PM
Subject: [NSIS] framework: proposal on bundling

> Dear all,
>
> We have a set of outanding issues on 'transport-like functions' and where
they
> should go in the NTLP/NSLP layer model. I'd like to make a sequence of
proposals
> about how these should be resolved, starting with the easy ones...
>
> 'Bundling' is 'getting more than one signalling application message into a
> single network layer message'. (It was introduced as an RSVP option in
2961,
> essentially for performance reasons.)
>
> My proposal is that the NTLP should support bundling. (A more precise
statement:
> an NTLP instance is free to decide whether or not to bundle messages
together;
> however, it should always be prepared to receive them - on the grounds
that
> implementing de-bundling is simpler than implementing a negotiation
procedure.
> implementing bundling is somewhat less trivial.)
>
> Based on past verbal/m.l. discussions i think this is not too
controversial,
> here is the reasoning:
> *) whether or not messages are in a bundle has no semantic significance,
and
> no significance beyond the NTLP-hop over which they are bundled.
> *) if only NSLPs could bundle, this would significantly restrict the scope
> for doing this (only messages for the same signalling application could be
> bundled).
> *) bundling affects addressing - a bundled message has to be explicitly
> addressed (not implicitly+router alert addressed), only the NTLP has the
> intelligence to work out how/whether this is possible.
> *) we don't prevent an NSLP providing an NTLP with a group of messages to
send
> at once (and recommending that the NTLP deliver them as a group) but this
> is mainly an implementation/API issue. The NTLP may have to unbundle them
> anyway.
>
> any objections?
>
> r.
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
>

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis